I am using elementary.os Loki and Evolution Mail, which I installed through the AppCenter.

I keep installing all the updates, but Evolution will stay at v. 3.18.5.2.

  • Is there a simple possibility to upgrade Evolution to the actual version 3.22?
  • Will it work in Loki?
  • And will it keep my Configuration?

Thanks for your help! :-)

up vote 1 down vote accepted

The short answer is, no. You can't get necessarily get elementary OS versions of packages faster than they are released.

Selected packages for eOS are designed to be stable, and as such, if you want packages before release on eOS, you might need to be prepared to use unsupported packages, and they may or may not work as intended (although often you will be successful).

Using the command line, you can add the staging PPA, although this is not considered stable, so remember, this will add potentially unstable gnome3 packages as listed here.

If you are still willing to proceed you can then do this:

sudo add-apt-repository ppa:gnome3-team/gnome3-staging sudo apt-get update sudo apt-get upgrade

Of course you should take a backup first, and also - apps in the staging ppa will be moved into the main repository eventually.

If you have problems you can try downgrading again:

sudo apt-get install evolution=3.18.5.2

You migt need to double check the version number, but that is how you would install a specific version (which can be used to downgrade).

Let us know if you do try it, and if you encounter any issues, as nobody can ensure it will definitely work fully, without trying it, and I don't personally use evolution to check for you.

If you have not installed a custom PPA before, checkout this previous question / answer for help How can I add a PPA in Loki?

  • Do the 3.22 versions have the elementary themeing? I would assume they don't. – Sean Patterson Feb 7 '17 at 12:35
  • 1
    No, I'll update my answer - I guess the bottom line is a user can't upgrade until the upgrade drops. – SamMorrowDrums Feb 7 '17 at 12:42
  • Thanks for the answer, it is really helpful. Is it likely that the newer Evolution packages will become selected for the loki updates? Or is there maybe a place where I can look up such informations? – pato Feb 8 '17 at 12:26
  • Well, actually the new Mail app is moving away from Geary Backend, to using Evolution blueprints.launchpad.net/pantheon-mail/+spec/eds-backend although I'm not sure this will help you as it'll be elementary mail app interface. – SamMorrowDrums Feb 8 '17 at 12:37
  • I wish I knew an answer to your exact question of when evolution updated client will appear in elementaryOS repos, maybe someone else here has more information. – SamMorrowDrums Feb 8 '17 at 12:39

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.